tigase.server.sreceiver

## Enum PropertyConstants.SenderAddress

- java.lang.Object
- - java.lang.Enum<PropertyConstants.SenderAddress>
  - - tigase.server.sreceiver.PropertyConstants.SenderAddress

- All Implemented Interfaces:
    Serializable, Comparable<PropertyConstants.SenderAddress>, DefaultValues
  Enclosing class:
    PropertyConstants

      public static enum PropertyConstants.SenderAddress
      extends Enum<PropertyConstants.SenderAddress>
      implements DefaultValues

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEAVE`
    `REMOVE`
    `REPLACE`
    `REPLACE_SRECV`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `strValues()`
    `static PropertyConstants.SenderAddress` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyConstants.SenderAddress[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLACE

          public static final PropertyConstants.SenderAddress REPLACE

    - #### LEAVE

          public static final PropertyConstants.SenderAddress LEAVE

    - #### REMOVE

          public static final PropertyConstants.SenderAddress REMOVE

    - #### REPLACE_SRECV

          public static final PropertyConstants.SenderAddress REPLACE_SRECV

  - ### Method Detail

    - #### values

          public static PropertyConstants.SenderAddress[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyConstants.SenderAddress c : PropertyConstants.SenderAddress.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyConstants.SenderAddress valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### strValues

          public String[] strValues()

      Specified by:
        `strValues` in interface `DefaultValues`

Copyright © 2022 "Tigase, Inc.". All rights reserved.